﻿using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.Samples.Office.UnifiedCommunications.Gadget.DTO;

namespace Microsoft.Samples.Office.UnifiedCommunications.Gadget.Events
{
    public class DesktopContactChangedEventArgs : EventArgs
    {
        public DesktopContactOperation Operation { get; set; }
        public DesktopContact AffectedContact { get; set; }

        public DesktopContactChangedEventArgs() { }

        public DesktopContactChangedEventArgs(DesktopContactOperation operation, DesktopContact affectedContact)
        {
            this.Operation = operation;
            this.AffectedContact = affectedContact;
        }
    }
}
