﻿using System;
using System.Collections.Generic;
using System.Text;

using CommunicatorAPI;

namespace Microsoft.Samples.Office.UnifiedCommunications.Gadget.Events
{
    public class PresenceStatusChangedEventArgs : EventArgs
    {
        public string SipUri { get; set; }
        public MISTATUS Status { get; set; }

        public PresenceStatusChangedEventArgs() { }

        public PresenceStatusChangedEventArgs(string sipUri, MISTATUS status)
        {
            this.SipUri = sipUri;
            this.Status = status;
        }
    }
}
