﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;

namespace Microsoft.Samples.Office.UnifiedCommunications.Gadget
{
    public class UnreadVoicemailConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool isVMRead = bool.Parse(value.ToString());

            if (isVMRead)
                return new SolidColorBrush(Colors.DarkGray);
            else
                return new SolidColorBrush(Colors.Black);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return null;
        }
    }
}
