﻿using System;
using System.Configuration;
using System.Xml;
using System.Xml.XPath;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Microsoft.Samples.Office.UnifiedCommunications.Gadget
{

    public partial class Version : Page
    {
        public Version()
        {
            InitializeComponent();
            GetApplicationInfo();
        }

        private void GetApplicationInfo()
        {
            lblName.Content = ConfigurationManager.AppSettings["GadgetVersion_Name"];
            lblVersion.Content = ConfigurationManager.AppSettings["GadgetVersion_Build"];
            lblCopyright.Content = ConfigurationManager.AppSettings["GadgetVersion_Copyright"];
            tbDescription.Text = ConfigurationManager.AppSettings["GadgetVersion_Description"];
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            SettingsWindow.Instance.Close();
        }
    }
}
