﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Samples.Office.UnifiedCommunications.Gadget.DTO
{
    public class PresenceEvent
    {
        public Guid PresenceEventId { get; set; }
        public string SipUri { get; set; }
        public DateTime PresenceEventDateTime { get; set; }
        public string StatusText { get; set; }

        public PresenceEvent() { }

        public PresenceEvent(Guid presenceEventId, string sipUri, DateTime presenceEventDateTime, string statusText)
        {
            this.PresenceEventId = presenceEventId;
            this.SipUri = sipUri;
            this.PresenceEventDateTime = presenceEventDateTime;
            this.StatusText = statusText;
        }
    }
}
