﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Samples.Office.UnifiedCommunications.Gadget
{
    public class Contact
    {
        public string SipUri{ get; set; }
        public string DisplayName { get; set; }
        public bool IsPhoneNumber { get; set; }
        public ClickAction DefaultAction { get; set; }

        public Contact() { }

        public Contact(string sipUri, string displayName)
        {
            this.SipUri = sipUri;
            this.DisplayName = displayName;
            this.IsPhoneNumber = false;
            this.DefaultAction = ClickAction.InstantMessage;
        }

        public Contact(string sipUri, string displayName, bool isPhoneNumber, ClickAction defaultAction)
        {
            this.SipUri = sipUri;
            this.DisplayName = displayName;
            this.IsPhoneNumber = isPhoneNumber;
            this.DefaultAction = defaultAction;
        } 
    }
}
