﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Text;
using System.Windows;
using System.Windows.Data;

namespace Microsoft.Samples.Office.UnifiedCommunications.Gadget
{
    public class IsEmptyDesktopContactSipUri : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string _value = value as string;

            if (_value == null || _value == String.Empty)
            {
                return Application.Current.FindResource("emptyContactSipUriStyle") as Style;
            }
            else
            {
                DesktopContacts desktopContacts = new DesktopContacts();
                return desktopContacts.Resources.FindName("textBoxStyleContact") as Style;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new Exception("The method or operation is not implemented.");
        }
    }
}
