﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Microsoft.Samples.Office.UnifiedCommunications.Gadget.Events;

namespace Microsoft.Samples.Office.UnifiedCommunications.Gadget
{
    public partial class VoiceMailMainPage : Page
    {
        private static VoiceMailMainPage _instance = null;

        public VoiceMailMainPage()
        {
            _instance = this;

            InitializeComponent();
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            txtName.Text = Gadget.DisplayName;
        }

        public static VoiceMailMainPage Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new VoiceMailMainPage();
                    _instance.InitializeComponent();
                }
                return _instance;
            }
        }
    }
}
